DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# PoissonNoise

Generate an image disturbed by Poisson noise

## SYNOPSIS

`#include "dip_noise.h"`

dip_Error dip_PoissonNoise ( in, out, conversion, random )

## DATA TYPES

integer, float

## FUNCTION

Generate a Poisson noise disturbed image. The intensities of the input image divided by the conversion variable are used as mean value for the Poisson distribution. The conversion factor can be used to relate the pixel values with the number of counts. For example, the simulate a photon limited image acquired by a CCD camera, the conversion factor specifies the relation between the number of photons recorded and the pixel value it is represented by.

See `PoissonRandomVariable` for more information on the random number generator.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_float` | `conversion` | Conversion factor (photon/ADU)
`dip_Random *` | `random` | random

## EXAMPLE

Get a Poisson disturbed image as follows:

       dip_Image in, out;
       dip_float conversion;
       dip_Random random;

       conversion = 2.0;
       DIPXJ( dip_RandomSeed( &random, 0 ));
       DIPXJ( dip_PoissonNoise( in, out, conversion, &random ));

## SEE ALSO

`PoissonRandomVariable`, `RandomVariable`, `RandomSeed`, `RandomSeedVector`, `UniformNoise`, `GaussianNoise`, `BinaryNoise`